Eclipse Platform Release 3.7

## org.eclipse.ui.ide.dialogs
Class ImportTypeDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.ui.ide.dialogs.ImportTypeDialog

All Implemented Interfaces:
  IShellProvider

    public class ImportTypeDialog

extends TrayDialog

Dialog to let the user customise how files and resources are created in a project hierarchy after the user drag and drop items on a workspace container. Files and folders can be created either by copying the source objects, creating linked resources, and/or creating virtual folders.

Since:
  3.6
Restriction:
  This class is not intended to be subclassed by clients.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary
`static int` `IMPORT_COPY` Copy the files and folders to the destination
`static int` `IMPORT_FILES_ONLY` Import only files
`static int` `IMPORT_LINK` Create linked resources for each file and folder
`static int` `IMPORT_MOVE` Move the files and folders to the destination
`static int` `IMPORT_NONE` Do not perform an import operation
`static int` `IMPORT_VIRTUAL_FOLDERS_AND_LINKS` Recreate the file and folder hierarchy using groups and links

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`ImportTypeDialog(Shell shell, int dropOperation, IResource[] sources, IContainer target)` Creates the Import Type Dialog when resources are dragged and dropped from an Eclipse view.
`ImportTypeDialog(Shell shell, int dropOperation, String[] names, IContainer target)` Creates the Import Type Dialog when files are dragged and dropped from the operating system's shell (Windows Explorer on Windows Platform, for example).

Method Summary
`protected void` `buttonPressed(int buttonId)` Notifies that this dialog's button with the given id has been pressed.
`boolean` `close()` Closes this window, disposes its shell, and removes this window from its window manager (if it has one).
`protected void` `configureShell(Shell shell)` Configures the given shell in preparation for opening this window in it.
`protected Control` `createDialogArea(Composite parent)` Creates and returns the contents of the upper part of this dialog (above the button bar).
`protected Control` `createMessageArea(Composite parent)`
`int` `getSelection()` Get the user selection from the dialog.
`String` `getVariable()` Get the selected variable if the selection is either IMPORT_VIRTUAL_FOLDERS_AND_LINKS or IMPORT_LINK
`protected void` `openSettingsPage()`
`void` `setResource(IResource resource)` Set the project that is the destination of the import operation

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`closeTray, createButtonBar, createHelpControl, getLayout, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonsForButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMPORT_COPY

    public static final int IMPORT_COPY

  Copy the files and folders to the destination

  See Also:
    Constant Field Values

### IMPORT_FILES_ONLY

    public static final int IMPORT_FILES_ONLY

  Import only files

  See Also:
    Constant Field Values

### IMPORT_LINK

    public static final int IMPORT_LINK

  Create linked resources for each file and folder

  See Also:
    Constant Field Values

### IMPORT_MOVE

    public static final int IMPORT_MOVE

  Move the files and folders to the destination

  See Also:
    Constant Field Values

### IMPORT_NONE

    public static final int IMPORT_NONE

  Do not perform an import operation

  See Also:
    Constant Field Values

### IMPORT_VIRTUAL_FOLDERS_AND_LINKS

    public static final int IMPORT_VIRTUAL_FOLDERS_AND_LINKS

  Recreate the file and folder hierarchy using groups and links

  See Also:
    Constant Field Values

Constructor Detail

### ImportTypeDialog

    public ImportTypeDialog(Shell shell,
                            int dropOperation,
                            IResource[] sources,
                            IContainer target)

  Creates the Import Type Dialog when resources are dragged and dropped from an Eclipse view.

  Parameters:
    `shell` - the parent Shell
    `dropOperation` - The dropOperation that was used by the user
    `sources` - The list of resources that were dragged
    `target` - The target container onto which the resources were dropped

### ImportTypeDialog

    public ImportTypeDialog(Shell shell,
                            int dropOperation,
                            String[] names,
                            IContainer target)

  Creates the Import Type Dialog when files are dragged and dropped from the operating system's shell (Windows Explorer on Windows Platform, for example).

  Parameters:
    `shell` - the parent Shell
    `dropOperation` - The dropOperation that was used by the user
    `names` - The list of files that were dragged
    `target` - The target container onto which the files were dropped

Method Detail

### close

    public boolean close()

  Description copied from class: `Window`
  Closes this window, disposes its shell, and removes this window from its window manager (if it has one).

  This framework method may be extended (`super.close` must be called).

  Note that in order to prevent recursive calls to this method it does not call `Shell#close()`. As a result `ShellListener`s will not receive a `shellClosed` event.

  Overrides:
    `close` in class `TrayDialog`
  Returns:
    `true` if the window is (or was already) closed, and `false` if it is still open
  See Also:
    `Window.close()`

### getSelection

    public int getSelection()

  Get the user selection from the dialog.

  Returns:
    The current selection (one of IMPORT_COPY, IMPORT_VIRTUAL_FOLDERS_AND_LINKS, IMPORT_LINK and IMPORT_MOVE)

### getVariable

    public String getVariable()

  Get the selected variable if the selection is either IMPORT_VIRTUAL_FOLDERS_AND_LINKS or IMPORT_LINK

  Returns:
    The currently selected variable, or AUTOMATIC or ABSOLUTE_PATH

### setResource

    public void setResource(IResource resource)

  Set the project that is the destination of the import operation

  Parameters:
    `resource` -

### buttonPressed

    protected void buttonPressed(int buttonId)

  Description copied from class: `Dialog`
  Notifies that this dialog's button with the given id has been pressed.

  The `Dialog` implementation of this framework method calls `okPressed` if the ok button is the pressed, and `cancelPressed` if the cancel button is the pressed. All other button presses are ignored. Subclasses may override to handle other buttons, but should call `super.buttonPressed` if the default handling of the ok and cancel buttons is desired.

  Overrides:
    `buttonPressed` in class `Dialog`
  Parameters:
    `buttonId` - the id of the button that was pressed (see `IDialogConstants.*_ID` constants)

### configureShell

    protected void configureShell(Shell shell)

  Description copied from class: `Window`
  Configures the given shell in preparation for opening this window in it.

  The default implementation of this framework method sets the shell's image and gives it a grid layout. Subclasses may extend or reimplement.

  Overrides:
    `configureShell` in class `Window`
  Parameters:
    `shell` - the shell

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Description copied from class: `Dialog`
  Creates and returns the contents of the upper part of this dialog (above the button bar).

  The `Dialog` implementation of this framework method creates and returns a new `Composite` with standard margins and spacing.

  The returned control's layout data must be an instance of `GridData`. This method must not modify the parent's layout.

  Subclasses must override this method but may call `super` as in the following example:

       Composite composite = (Composite) super.createDialogArea(parent);
       //add controls to composite as necessary
       return composite;

  Overrides:
    `createDialogArea` in class `Dialog`
  Parameters:
    `parent` - the parent composite to contain the dialog area
  Returns:
    the dialog area control

### openSettingsPage

    protected void openSettingsPage()

### createMessageArea

    protected Control createMessageArea(Composite parent)

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.